Subject: Re: bug#24881: make blindingly clear cut -f 2,1 = cut -f 1,2

From: Pádraig Brady <[email-masked]>
Date: Sat, 5 Nov 2016 12:19:11 +0000

On 05/11/16 11:31, 積丹尼 Dan Jacobson wrote:
> $ info cut
> 
> ‘-f FIELD-LIST’
> ‘--fields=FIELD-LIST’
>      Select for printing only the fields listed in FIELD-LIST.  Fields
>      are separated by a TAB character by default.  Also print any line
>      that contains no delimiter character, unless the ‘--only-delimited’
>      (‘-s’) option is specified.
> 
>      Note ‘awk’ supports more sophisticated field processing, and by
>      default will use (and discard) runs of blank characters to separate
>      fields, and ignore leading and trailing blanks.
>           awk '{print $2}'    # print the second field
>           awk '{print $NF-1}' # print the penultimate field
>           awk '{print $2,$1}' # reorder the first two fields
> 
> 
> Mention here:
>         whereas cut -f 2,1 will just give you the same output as cut -f 1,2
> Thanks.

Pushed at
http://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=v8.25-86-g5161eff

thanks,
Pádraig